package pw.linkr.bukkit.seeya.uuid;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLConnection;
import java.util.concurrent.Callable;

import org.json.simple.JSONObject;
import org.json.simple.parser.JSONParser;

import lombok.AllArgsConstructor;

public @AllArgsConstructor class LookupUUID implements Callable<String>{

	private JSONParser parser;
	private String name;

	@Override
	public String call() throws Exception {
		URL url = new URL("http://uuid.imnjb.me/api/uuid/" + name);
		URLConnection con = url.openConnection();
		con.addRequestProperty("User-Agent", "Mozilla/4.0");
		con.connect();
		JSONObject jsonReturn = (JSONObject)parser.parse(new BufferedReader(new InputStreamReader(con.getInputStream())));
		return (String)jsonReturn.get("uuid");
	}

}
